Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicTextUI.BasicCaret

    java.lang.Object
      |
      +--java.awt.geom.RectangularShape
            |
            +--java.awt.geom.Rectangle2D
                  |
                  +--java.awt.Rectangle
                        |
                        +--javax.swing.text.DefaultCaret
                              |
                              +--javax.swing.plaf.basic.BasicTextUI.BasicCaret

All Implemented Interfaces:
  Caret, Cloneable, EventListener, FocusListener, MouseListener, MouseMotionListener, Serializable, Shape, UIResource

Enclosing class:
  BasicTextUI

public static class BasicTextUI.BasicCaret
extends DefaultCaret
implements UIResource

See Also:
  Serialized Form

Inner classes inherited from class java.awt.geom.Rectangle2D
`Rectangle2D.Double, Rectangle2D.Float`

Fields inherited from class javax.swing.text.DefaultCaret
`changeEvent, listenerList`

Fields inherited from class java.awt.Rectangle
`height, width, x, y`

Fields inherited from class java.awt.geom.Rectangle2D
`OUT_BOTTOM, OUT_LEFT, OUT_RIGHT, OUT_TOP`

Constructor Summary
`BasicTextUI.BasicCaret()`

Methods inherited from class javax.swing.text.DefaultCaret
`addChangeListener, adjustVisibility, damage, deinstall, equals, fireStateChanged, focusGained, focusLost, getBlinkRate, getComponent, getDot, getListeners, getMagicCaretPosition, getMark, getSelectionPainter, install, isSelectionVisible, isVisible, mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved, mousePressed, mouseReleased, moveCaret, moveDot, paint, positionCaret, removeChangeListener, repaint, setBlinkRate, setDot, setMagicCaretPosition, setSelectionVisible, setVisible, toString`

Methods inherited from class java.awt.Rectangle
`add, add, add, contains, contains, contains, contains, createIntersection, createUnion, getBounds, getBounds2D, getHeight, getLocation, getSize, getWidth, getX, getY, grow, inside, intersection, intersects, isEmpty, move, outcode, reshape, resize, setBounds, setBounds, setLocation, setLocation, setRect, setSize, setSize, translate, union`

Methods inherited from class java.awt.geom.Rectangle2D
`add, add, add, contains, contains, getPathIterator, getPathIterator, hashCode, intersect, intersects, intersectsLine, intersectsLine, outcode, setFrame, setRect, union`

Methods inherited from class java.awt.geom.RectangularShape
`clone, contains, contains, getCenterX, getCenterY, getFrame, getMaxX, getMaxY, getMinX, getMinY, intersects, setFrame, setFrame, setFrameFromCenter, setFrameFromCenter, setFrameFromDiagonal, setFrameFromDiagonal`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.awt.Shape
`contains, contains, contains, contains, getPathIterator, getPathIterator, intersects, intersects`

Constructor Detail

### BasicTextUI.BasicCaret

    public BasicTextUI.BasicCaret()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.